- मुख्य
- API दस्तावेज़
API दस्तावेज़ीकरण
एपीआई पता: https://2index.ninja/api/v1/
API से अनुरोध करने के लिए, आपको प्राधिकरण हेडर में Bearer एक्सेस टोकन पास करना होगा।
एक्सेस टोकन उपयुक्त से प्राप्त किया जा सकता है curl https://2index.ninja/api/v1/account -H "Authorization: Bearer API_TOKEN"
उपयोगकर्ता खाते में अनुभाग .
प्रत्येक अनुरोध के प्रत्युत्तर में एक success पैरामीटर होता है, जो अनुरोध की सफलता निर्धारित करता है। errors पैरामीटर में त्रुटि संदेश होते हैं।
कुछ मामलों में, यदि 403 त्रुटि लौटाई जाती है, तो आपको उपयोगकर्ता-एजेंट निर्दिष्ट करना होगा, उदाहरण के लिए:
होस्टिंग प्रदाता द्वारा अनुरोधों को सीमित किया जा सकता है, ऐसी स्थिति में हम प्रॉक्सी का उपयोग करने की अनुशंसा करते हैं। curl https://2index.ninja/api/v1/account -H "Authorization: Bearer API_TOKEN" -A "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36"
खाते के साथ काम करने के तरीके
खाता विवरण प्राप्त करें
आपको account पते पर एक GET अनुरोध निष्पादित करना होगा
प्रतिक्रिया में JSON प्रारूप में डेटा होगा: GET https://2index.ninja/api/v1/account
{ "success": true, "account": { "email": "[email protected]", "tariff": "White Ninja", "balance": 100.0, "available_projects": 1, "available_links": 100, "available_indexation_check_links": 500, "link_sending_speed": 100, "tariff_available": true, "tariff_expiring_date": "2025-01-16T14:26:11.000000Z", "email_verified": false, "link_cost": "$0.00056" } }परियोजनाओं के साथ काम करने के तरीके{ "success": true, "account": { "email": "[email protected]", "tariff": "White Ninja", "balance": 100.0, "available_projects": 1, "available_links": 100, "available_indexation_check_links": 500, "link_sending_speed": 100, "tariff_available": true, "tariff_expiring_date": "2025-01-16T14:26:11.000000Z", "email_verified": false, "link_cost": "$0.00056" } }
परियोजनाओं की सूची प्राप्त करें
आपको project पते पर एक GET अनुरोध निष्पादित करना होगा
प्रतिक्रिया में JSON प्रारूप में डेटा होगा: GET https://2index.ninja/api/v1/project
{ "success": true, "projects": [ { "id": 1, "name": "Project name", "type": "indexing", "website": "https://domain.com/", "status": "in progress", "created_at": "2024-03-01 14:34:56", "links_type": "internal", "google_account_access_granted": 0, "links_total": 500, "links_sending_speed": 400, "links_sent_google": 100, "links_sent_yandex": 40, "links_sent_bing": 100, "in_queue": 360, "sent_links": 100, "indexed": 30, "not_indexed": 0, "download_queue_url": "DOWNLOAD_QUEUE_URL", "download_sent_url": "DOWNLOAD_SENT_URL", "download_indexed_url": "DOWNLOAD_INDEXED_URL", "download_unindexed_url": "DOWNLOAD_UNINDEXED_URL" }, { "id": "2", "name": "Project 2 name", "type": "indexing_check", "status": "in progress", "created_at": "2024-03-01 14:34:56", "links_total": 200, "links_checking_speed": 100, "in_queue": 100, "checked": 100, "indexed": 70, "not_indexed": 30, "download_queue_url": "DOWNLOAD_QUEUE_URL", "download_indexed_url": "DOWNLOAD_INDEXED_URL", "download_unindexed_url": "DOWNLOAD_UNINDEXED_URL", "download_all_url": "DOWNLOAD_ALL_URL", "download_checked_url": "DOWNLOAD_CHECKED_URL", } ... ] }प्रोजेक्ट डेटा प्राप्त करें{ "success": true, "projects": [ { "id": 1, "name": "Project name", "type": "indexing", "website": "https://domain.com/", "status": "in progress", "created_at": "2024-03-01 14:34:56", "links_type": "internal", "google_account_access_granted": 0, "links_total": 500, "links_sending_speed": 400, "links_sent_google": 100, "links_sent_yandex": 40, "links_sent_bing": 100, "in_queue": 360, "sent_links": 100, "indexed": 30, "not_indexed": 0, "download_queue_url": "DOWNLOAD_QUEUE_URL", "download_sent_url": "DOWNLOAD_SENT_URL", "download_indexed_url": "DOWNLOAD_INDEXED_URL", "download_unindexed_url": "DOWNLOAD_UNINDEXED_URL" }, { "id": "2", "name": "Project 2 name", "type": "indexing_check", "status": "in progress", "created_at": "2024-03-01 14:34:56", "links_total": 200, "links_checking_speed": 100, "in_queue": 100, "checked": 100, "indexed": 70, "not_indexed": 30, "download_queue_url": "DOWNLOAD_QUEUE_URL", "download_indexed_url": "DOWNLOAD_INDEXED_URL", "download_unindexed_url": "DOWNLOAD_UNINDEXED_URL", "download_all_url": "DOWNLOAD_ALL_URL", "download_checked_url": "DOWNLOAD_CHECKED_URL", } ... ] }
आपको project/{project_id} पते पर एक GET अनुरोध करना होगा
प्रतिक्रिया में JSON प्रारूप में डेटा शामिल होगा: GET https://2index.ninja/api/v1/project/1
- अनुक्रमण परियोजना के लिए:
{ "success": true, "project": { "id": 1, "name": "Project name", "type": "indexing", "website": "https://domain.com/", "status": "in progress", "created_at": "2024-03-01 14:34:56", "links_type": "internal", "google_account_access_granted": 0, "links_total": 500, "links_sending_speed": 400, "links_sent_google": 100, "links_sent_yandex": 40, "links_sent_bing": 100, "in_queue": 360, "sent_links": 100, "indexed": 30, "not_indexed": 0, "download_queue_url": "DOWNLOAD_QUEUE_URL", "download_sent_url": "DOWNLOAD_SENT_URL", "download_indexed_url": "DOWNLOAD_INDEXED_URL", "download_unindexed_url": "DOWNLOAD_UNINDEXED_URL" } }अनुक्रमण सत्यापन परियोजना के लिए:{ "success": true, "project": { "id": 1, "name": "Project name", "type": "indexing", "website": "https://domain.com/", "status": "in progress", "created_at": "2024-03-01 14:34:56", "links_type": "internal", "google_account_access_granted": 0, "links_total": 500, "links_sending_speed": 400, "links_sent_google": 100, "links_sent_yandex": 40, "links_sent_bing": 100, "in_queue": 360, "sent_links": 100, "indexed": 30, "not_indexed": 0, "download_queue_url": "DOWNLOAD_QUEUE_URL", "download_sent_url": "DOWNLOAD_SENT_URL", "download_indexed_url": "DOWNLOAD_INDEXED_URL", "download_unindexed_url": "DOWNLOAD_UNINDEXED_URL" } }
{ "success": true, "project": { "id": "2", "name": "Project 2 name", "type": "indexing_check", "status": "in progress", "created_at": "2024-03-01 14:34:56", "links_total": 200, "links_checking_speed": 100, "in_queue": 100, "checked": 100, "indexed": 70, "not_indexed": 30, "download_queue_url": "DOWNLOAD_QUEUE_URL", "download_indexed_url": "DOWNLOAD_INDEXED_URL", "download_unindexed_url": "DOWNLOAD_UNINDEXED_URL", "download_all_url": "DOWNLOAD_ALL_URL", "download_checked_url": "DOWNLOAD_CHECKED_URL" } }एक परियोजना बनाएँ{ "success": true, "project": { "id": "2", "name": "Project 2 name", "type": "indexing_check", "status": "in progress", "created_at": "2024-03-01 14:34:56", "links_total": 200, "links_checking_speed": 100, "in_queue": 100, "checked": 100, "indexed": 70, "not_indexed": 30, "download_queue_url": "DOWNLOAD_QUEUE_URL", "download_indexed_url": "DOWNLOAD_INDEXED_URL", "download_unindexed_url": "DOWNLOAD_UNINDEXED_URL", "download_all_url": "DOWNLOAD_ALL_URL", "download_checked_url": "DOWNLOAD_CHECKED_URL" } }
आपको project पते पर एक POST अनुरोध करना होगा
अनुरोध पैरामीटर: POST https://2index.ninja/api/v1/project
| मैदान | प्रकार | अनिवार्य रूप से | विवरण |
|---|---|---|---|
| नाम | डोरी | हाँ | परियोजना का नाम |
| वेबसाइट | डोरी | हाँ* | वेबसाइट का पता https://site.domain/ प्रारूप में।*आवश्यक यदि परियोजना प्रकार: indexing |
| for_external_links | बूलियन | नहीं | बाहरी लिंक के लिए परियोजना। यदि निर्दिष्ट नहीं है, तो यह केवल घरेलू उपयोग के लिए होगी। |
| अनुक्रमण_गति | पूर्णांक | नहीं** | प्रोजेक्ट इंडेक्सिंग गति। यदि निर्दिष्ट नहीं है, तो खाते पर उपलब्ध सभी गति लागू की जाएगी। इसका उपयोग indexing प्रकार वाली परियोजनाओं के लिए किया जाता है। indexing_check प्रकार वाली परियोजनाओं के लिए, checking_speed उपयोग किया जाता है। |
| जाँच_गति | पूर्णांक | नहीं** | प्रोजेक्ट लिंक जाँच गति। यदि निर्दिष्ट नहीं है, तो खाते पर उपलब्ध सभी गति लागू की जाएगी। इसका उपयोग indexing_check प्रकार वाली परियोजनाओं के लिए किया जाता है। indexing प्रकार वाली परियोजनाओं के लिए, indexing_speed उपयोग किया जाता है। |
| प्रकार | डोरी | नहीं | परियोजना प्रकार। संभावित विकल्प: indexing - अनुक्रमण लिंक, indexing_check - अनुक्रमण लिंक की जाँच।यदि निर्दिष्ट नहीं किया गया है, तो यह एक लिंक इंडेक्सिंग प्रोजेक्ट indexing बनाएगा |
** किसी भी प्रकार की परियोजना बनाते समय, आप indexing_speed और checking_speed पैरामीटर में से किसी एक का उपयोग कर सकते हैं; वे एक दूसरे के उपनाम हैं, लेकिन यदि दोनों को पास किया जाता है, तो indexing_speed उपयोग किया जाएगा।
प्रतिक्रिया में JSON प्रारूप में डेटा होगा:
{ "success": true, "message": "The project has been successfully created" }लिंक इंडेक्सिंग परियोजना बनाने का एक उदाहरण:{ "success": true, "message": "The project has been successfully created" }
POST https://2index.ninja/api/v1/project
name: Project 1 website: https://website.com for_external_links: 1 indexing_speed: 100लिंक इंडेक्सिंग जांच परियोजना बनाने का एक उदाहरण:name: Project 1 website: https://website.com for_external_links: 1 indexing_speed: 100
POST https://2index.ninja/api/v1/project
name: Project 2 checking_speed: 100अनुक्रमण कतार साफ़ करेंname: Project 2 checking_speed: 100
आपको project/{project_id}/clear_queue पर एक POST अनुरोध करना होगा
प्रतिक्रिया में JSON प्रारूप में डेटा होगा: POST https://2index.ninja/api/v1/project/1/clear_queue
{ "success": true, "message": "The indexing queue has been cleared successfully. X links have been removed" }या संबंधित त्रुटि संदेश लौटाया जाएगा:{ "success": true, "message": "The indexing queue has been cleared successfully. X links have been removed" }
{ "success": false, "errors": ["Project not found"] }लिंक के साथ काम करने के तरीके{ "success": false, "errors": ["Project not found"] }
लिंक जोड़ें
आपको link/add पते पर एक POST अनुरोध करना होगा
अनुरोध पैरामीटर: POST https://2index.ninja/api/v1/link/add
| मैदान | अनिवार्य रूप से | विवरण |
|---|---|---|
| प्रोजेक्ट_आईडी | हाँ | प्रोजेक्ट आईडी |
| लिंक | हाँ | लिंक्स की एक सूची। इसे लिंक्स की एक सरणी के रूप में या टेक्स्ट के रूप में (प्रत्येक लिंक एक अलग पंक्ति में) पास किया जा सकता है। |
| गूगल | नहीं, बशर्ते Yandex या Bing | Google को लिंक सबमिट करें |
| Yandex | नहीं, बशर्ते गूगल या बिंग | Yandex को लिंक भेजें |
| बिंग | नहीं, बशर्ते वह गूगल या यांडेक्स हो। | बिंग पर लिंक सबमिट करें |
| google_access_granted | नहीं | Google खाते तक पहुँच प्रदान की गई |
प्रतिक्रिया में JSON प्रारूप में डेटा होगा:
{ "success": true, "message": "Links have been successfully added to the project" }यदि सूची में कोई अमान्य लिंक हैं, तो लिंक नहीं जोड़े जाएंगे और प्रतिक्रिया में एक संबंधित त्रुटि संदेश प्राप्त होगा:{ "success": true, "message": "Links have been successfully added to the project" }
{ "success": false, "errors": ["You sent invalid links"], "invalid_links": ["http://wrong.link"] }परियोजनाओं के लिए{ "success": false, "errors": ["You sent invalid links"], "invalid_links": ["http://wrong.link"] }
लिंक इंडेक्सेशन जाँचें इंडेक्सिंग की तरह ही जोड़ी गई हैं। google_access_granted वैकल्पिक है और इसे अनदेखा कर दिया जाएगा। खोज इंजन निर्दिष्ट किए जाने चाहिए, लेकिन वर्तमान में केवल Google खोज ही उपलब्ध हैं।
प्रोजेक्ट नाम से लिंक जोड़ें
आपको link/add_simple के लिए एक POST अनुरोध करना होगा। यदि निर्दिष्ट नाम वाला कोई प्रोजेक्ट मौजूद नहीं है, तो वह अधिकतम अपलोड गति पर स्वचालित रूप से बन जाएगा।
अनुरोध पैरामीटर: POST https://2index.ninja/api/v1/link/add_simple
| मैदान | अनिवार्य रूप से | विवरण |
|---|---|---|
| परियोजना का नाम | नहीं | प्रोजेक्ट का नाम. यदि निर्दिष्ट नहीं किया गया है, "default" नाम से एक प्रोजेक्ट बनाया जाएगा. |
| लिंक | हाँ | लिंक की सूची। इसे एक सारणी या पाठ के रूप में पारित किया जा सकता है (प्रत्येक लिंक एक नई पंक्ति पर)। |
| गूगल | नहीं, यदि Yandex या Bing निर्दिष्ट है | गूगल को लिंक सबमिट करें. |
| Yandex | नहीं, यदि Google या Bing निर्दिष्ट है | Yandex को लिंक भेजें. |
| बिंग | नहीं, यदि Google या Yandex निर्दिष्ट है | बिंग पर लिंक सबमिट करें. |
| google_access_granted | नहीं | गूगल खाते तक पहुंच प्रदान कर दी गई है। |
इंडेक्स सत्यापन परियोजनाओं के लिए, लिंक उसी तरह जोड़े जाते हैं जैसे इंडेक्सिंग के लिए। google_access_granted वैकल्पिक है और इसे अनदेखा कर दिया जाएगा। खोज इंजन निर्दिष्ट करना आवश्यक है, लेकिन सत्यापन वर्तमान में केवल Google के लिए उपलब्ध है।
उदाहरण अनुरोध:
{ "project_name": "My Website", "links": ["https://example.com/page1", "https://example.com/page2"], "google": true, "yandex": false, "bing": true, "google_access_granted": false }सफल होने पर प्रतिक्रिया:{ "project_name": "My Website", "links": ["https://example.com/page1", "https://example.com/page2"], "google": true, "yandex": false, "bing": true, "google_access_granted": false }
{ "success": true, "message": "Links have been successfully added to the project", "project_name": "My Website", "project_id": 12345 }संभावित त्रुटियाँ:{ "success": true, "message": "Links have been successfully added to the project", "project_name": "My Website", "project_id": 12345 }
- यदि सूची में कोई त्रुटिपूर्ण लिंक है:
{ "success": false, "errors": ["You sent invalid links"], "invalid_links": ["http://wrong.link"] }यदि प्रोजेक्ट बनाते समय कोई त्रुटि हुई हो:{ "success": false, "errors": ["You sent invalid links"], "invalid_links": ["http://wrong.link"] }
{ "success": false, "errors": ["Failed to create the project"] }लिंक स्थिति जांचें{ "success": false, "errors": ["Failed to create the project"] }
पते पर POST अनुरोध निष्पादित करें /api/v1/link/status
अनुरोध पैरामीटर: POST https://2index.ninja/api/v1/link/status
| मैदान | अनिवार्य रूप से | विवरण |
|---|---|---|
| प्रोजेक्ट_आईडी | हाँ | प्रोजेक्ट आईडी |
| जोड़ना | हाँ | लिंक सत्यापित किया जा रहा है |
- यदि अनुरोध सफल होता है, तो प्रतिक्रिया में एक json ऑब्जेक्ट प्राप्त होगा:
{ "success" : true , "link" : { "id" : 34368960 , "url" : "https://2index.ninja/" , "google" : "Sent" , "yandex" : "Sent" , "bing" : "Sent" , "is_external" : 1 , "google_sent" : "2025-08-24 20:10:02" , "yandex_sent" : "2025-08-24 20:45:02" , "bing_sent" : "2025-08-24 20:05:05" , "google_indexed" : 1 , "google_indexing_check_date" : "2025-08-29" } }कहाँ:{ "success" : true , "link" : { "id" : 34368960 , "url" : "https://2index.ninja/" , "google" : "Sent" , "yandex" : "Sent" , "bing" : "Sent" , "is_external" : 1 , "google_sent" : "2025-08-24 20:10:02" , "yandex_sent" : "2025-08-24 20:45:02" , "bing_sent" : "2025-08-24 20:05:05" , "google_indexed" : 1 , "google_indexing_check_date" : "2025-08-29" } }
| मैदान | विवरण |
|---|---|
id |
लिंक आईडी |
url |
जोड़ना |
google |
* Google को सबमिशन की स्थिति |
yandex |
* Yandex में स्थिति भेजना |
bing |
* बिंग में सबमिशन की स्थिति |
is_external |
बाहरी लिंक |
google_sent |
Google को सबमिट करने की तिथि |
yandex_sent |
Yandex को भेजे जाने की तिथि |
bing_sent |
बिंग को प्रस्तुत करने की तिथि |
google_indexed |
Google द्वारा अनुक्रमित |
google_indexing_check_date |
Google अनुक्रमण जाँच तिथि |
* संभावित स्थितियाँ:
| स्थिति | अर्थ |
|---|---|
New |
नया |
Sent |
भेजा |
In the queue |
भेजने की कतार में |
In the process |
भेजने की प्रक्रिया में |
Error sending |
भेजने में त्रुटि हुई |
Don\'t index |
अनुक्रमणिका न करें |
Sent to reindexing |
पुनः अनुक्रमण के लिए भेजा गया |
- यदि कोई त्रुटि होती है, तो त्रुटि संदेश वाला एक JSON ऑब्जेक्ट लौटाया जाएगा। त्रुटियों के उदाहरण:
{ "success" : false , "errors" : { "link" : [ "The link field is required." ] } }{ "success" : false , "errors" : [ "Project not found" ] }{ "success" : false , "errors" : { "link" : [ "The link field is required." ] } }
{ "success" : false , "errors" : [ "Project not found" ] }{ "success" : false , "errors" : [ "URL not found" ] }{ "success" : false , "errors" : [ "Project not found" ] }
{ "success" : false , "errors" : [ "URL not found" ] }आप लिंक आईडी द्वारा भी लिंक की स्थिति जान सकते हैं{ "success" : false , "errors" : [ "URL not found" ] }
ऐसा करने के लिए, पते पर एक GET अनुरोध निष्पादित करें /api/v1/link/status/ID
अनुरोध का प्रत्युत्तर पिछले संस्करण के समान ही होगा। GET https://2index.ninja/api/v1/link/status/ID
संदर्भ स्रोतों के साथ कार्य करना
सभी प्रकार की परियोजनाओं के लिए लिंक स्रोत उपलब्ध हैं और समान रूप से संसाधित किए जाते हैं। इंडेक्स जाँच परियोजनाओं के लिए, केवल Google ही उपलब्ध है।
साइटमैप जोड़ना
/api/v1/sitemap/add पर POST अनुरोध करें
अनुरोध पैरामीटर: POST https://2index.ninja/api/v1/sitemap/add
| मैदान | अनिवार्य रूप से | विवरण |
|---|---|---|
| प्रोजेक्ट_आईडी | हाँ | प्रोजेक्ट आईडी |
| साइट मैप | हाँ | साइटमैप का लिंक |
| गूगल | नहीं, बशर्ते Yandex या Bing | Google को लिंक सबमिट करें |
| Yandex | नहीं, बशर्ते गूगल या बिंग | Yandex को लिंक भेजें |
| बिंग | नहीं, बशर्ते वह गूगल या यांडेक्स हो। | बिंग पर लिंक सबमिट करें |
| google_access_granted | नहीं | Google खाते तक पहुँच प्रदान की गई |
| घड़ी | नहीं | साइटमैप परिवर्तनों की निगरानी करें |
संभावित त्रुटियाँ:
| गलती |
|---|
| डेटा सत्यापन त्रुटि. आवश्यक फ़ील्ड में से एक अनुपलब्ध है या उसका मान अमान्य है. |
| टैरिफ अनुपलब्ध है। उपयोगकर्ता की टैरिफ योजना समाप्त हो गई है। |
| प्रोजेक्ट नहीं मिला. उपयोगकर्ता निर्दिष्ट प्रोजेक्ट का स्वामी नहीं है या प्रोजेक्ट मौजूद नहीं है. |
| आंतरिक सर्वर त्रुटि |
उदाहरण उत्तर:
साइटमैप सफलतापूर्वक जोड़ा गया:
{ "success": true, "message": "Карта сайта успешно добавлена, мы скачаем её как можно скорее и отправим уведомление по электронной почте после завершения." }सत्यापन त्रुटि:{ "success": true, "message": "Карта сайта успешно добавлена, мы скачаем её как можно скорее и отправим уведомление по электронной почте после завершения." }
{ "errors": ["sitemap":["The sitemap field is required."]] }परियोजना नहीं मिली:{ "errors": ["sitemap":["The sitemap field is required."]] }
{ "errors": ["Project not found"] }साइटमैप ट्रैकिंग स्थिति अद्यतन{ "errors": ["Project not found"] }
/api/v1/sitemap/update_watch पर एक POST अनुरोध करें
अनुरोध पैरामीटर: POST https://2index.ninja/api/v1/sitemap/update_watch
| मैदान | प्रकार | अनिवार्य रूप से | विवरण |
|---|---|---|---|
| प्रोजेक्ट_आईडी | पूर्णांक | हाँ | प्रोजेक्ट आईडी |
| साइटमैप_आईडी | पूर्णांक | हाँ | साइटमैप आईडी |
| घड़ी | बूलियन | हाँ | यह संकेत कि क्या आपको साइटमैप में बदलावों पर नज़र रखने की ज़रूरत है |
संभावित त्रुटियाँ:
| गलती |
|---|
| डेटा सत्यापन त्रुटि. आवश्यक फ़ील्ड में से एक अनुपलब्ध है या उसका मान अमान्य है. |
| प्रोजेक्ट या संदर्भ स्रोत नहीं मिला। उपयोगकर्ता निर्दिष्ट प्रोजेक्ट का स्वामी नहीं है, या प्रोजेक्ट/स्रोत मौजूद नहीं है। |
| आंतरिक सर्वर त्रुटि |
उदाहरण उत्तर:
ट्रैकिंग स्थिति का सफल अद्यतन:
{ "success": true }लिंक स्रोत नहीं मिला:{ "success": true }
{ "errors": ["Link source not found"] }लिंक स्रोत हटाना{ "errors": ["Link source not found"] }
/api/v1/sitemap/delete पर POST अनुरोध करें
अनुरोध पैरामीटर: POST https://2index.ninja/api/v1/sitemap/delete
| मैदान | प्रकार | अनिवार्य रूप से | विवरण |
|---|---|---|---|
| प्रोजेक्ट_आईडी | पूर्णांक | हाँ | प्रोजेक्ट आईडी |
| साइटमैप_आईडी | पूर्णांक | हाँ | साइटमैप आईडी |
संभावित त्रुटियाँ:
| गलती |
|---|
| डेटा सत्यापन त्रुटि. आवश्यक फ़ील्ड में से एक अनुपलब्ध है या उसका मान अमान्य है. |
| प्रोजेक्ट या संदर्भ स्रोत नहीं मिला। उपयोगकर्ता निर्दिष्ट प्रोजेक्ट का स्वामी नहीं है, या प्रोजेक्ट/स्रोत मौजूद नहीं है। |
| आंतरिक सर्वर त्रुटि |
उदाहरण उत्तर:
लिंक स्रोत को सफलतापूर्वक हटाया गया:
{ "success": true, "message": "Источник ссылок успешно удален" }परियोजना नहीं मिली:{ "success": true, "message": "Источник ссылок успешно удален" }
{ "errors": ["Project not found"] }संदर्भ स्रोतों की सूची{ "errors": ["Project not found"] }
जोड़े गए लिंक स्रोतों की सूची प्राप्त करने के लिए, आपको https://2index.ninja/api/v1/link_sources पर एक POST अनुरोध करना होगा
अनुरोध में project_id पास करें
परिणाम के रूप में निम्नलिखित डेटा सेट लौटाया जाएगा:
[ { "id": 1247, "project_id": 3540, "name": "urls.txt", "type": "text file", "created_at": "2025-01-17T15:51:43.000000Z", "processing_date": "2025-01-17T15:51:48.000000Z", "has_error": false, "error_message": "", "status": "success", "is_pending": false, "is_success": true, "total_links": 29585, "added_links": 29582, "invalid_links": 3, "watch": 0, "google_access_granted": 0, "is_external_links": 1, "search_engines": { "google": "1" } }, { "id": 22, "project_id": 3540, "name": "https://2index.ninja/sitemap.xml", "type": "sitemap", "created_at": "2025-07-03T14:24:23.000000Z", "processing_date":, "has_error":, "error_message":, "status": "pending", "is_pending": 1, "is_success":, "total_links": 0, "added_links": 0, "invalid_links": 0, "watch": 1, "google_access_granted": 0, "is_external_links": 1, "search_engines": { "google": 1 } } ]कहाँ[ { "id": 1247, "project_id": 3540, "name": "urls.txt", "type": "text file", "created_at": "2025-01-17T15:51:43.000000Z", "processing_date": "2025-01-17T15:51:48.000000Z", "has_error": false, "error_message": "", "status": "success", "is_pending": false, "is_success": true, "total_links": 29585, "added_links": 29582, "invalid_links": 3, "watch": 0, "google_access_granted": 0, "is_external_links": 1, "search_engines": { "google": "1" } }, { "id": 22, "project_id": 3540, "name": "https://2index.ninja/sitemap.xml", "type": "sitemap", "created_at": "2025-07-03T14:24:23.000000Z", "processing_date":, "has_error":, "error_message":, "status": "pending", "is_pending": 1, "is_success":, "total_links": 0, "added_links": 0, "invalid_links": 0, "watch": 1, "google_access_granted": 0, "is_external_links": 1, "search_engines": { "google": 1 } } ]
id - लिंक स्रोत की आईडीproject_id - परियोजना आईडीname - संलग्न फ़ाइल का नाम या साइटमैप पताtype - फ़ाइल स्रोत प्रकार (पाठ फ़ाइल या साइटमैप) - हो सकता है:sitemap ,text filecreated_at - निर्माण तिथिprocessing_date - प्रसंस्करण तिथिhas_error - एक प्रसंस्करण त्रुटि हुईerror_message - त्रुटि संदेशstatus - स्थिति - हो सकती है:pending (प्रसंस्करण की प्रतीक्षा में),error (प्रसंस्करण त्रुटि),successis_pending - वर्तमान में संसाधित किया जा रहा हैis_success - सफल प्रसंस्करणtotal_links - पाए गए लिंक की कुल संख्याadded_links - लिंक जोड़े गएinvalid_links - अमान्य लिंकwatch - साइटमैप निगरानी स्थितिgoogle_access_granted - किसी Google खाते तक पहुँच दी गई है या नहींis_external_links - बाहरी लिंकsearch_engines - कनेक्टेड सर्च इंजन